Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.evaluation
Class CommentView

    java.lang.Object
      mauda.evaluation.CommentView

All Implemented Interfaces:
  ExerciseUpdateListener

    public class CommentView

extends java.lang.Object
implements ExerciseUpdateListener

Panel for viewing comments for operations used in Evaluation- Editor and -Player.

Author:
  Markus Krebs

Constructor Summary
`CommentView(Exercise exercise)` Creates a CommentView

Method Summary
`void` | `exerciseUpdate(ExerciseUpdateEvent e)` Invoked when an Event occures
`javax.swing.JPanel` | `getPanel()` Method for retrieving the panel for the CommentView
`void` | `load(java.util.Vector v)` Converts a vector that contains the comments readed from a xml-file, and converts it for the view specific representation
`java.util.Vector` | `save()` Converts the comments in an appropriate format, that can be saved to an xml-file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentView

    public CommentView(Exercise exercise)

  Creates a CommentView

  Parameters:
    `exercise` - Exercise

Method Detail

### exerciseUpdate

    public void exerciseUpdate(ExerciseUpdateEvent e)

  Description copied from interface: `ExerciseUpdateListener`
  Invoked when an Event occures

  Specified by:
    `exerciseUpdate` in interface `ExerciseUpdateListener`
  Parameters:
    `e` - The event

### getPanel

    public javax.swing.JPanel getPanel()

  Method for retrieving the panel for the CommentView

  Returns:
    Returns the panel

### save

    public java.util.Vector save()

  Converts the comments in an appropriate format, that can be saved to an xml-file

  Returns:
    A Vector representation of the comments

### load

    public void load(java.util.Vector v)

  Converts a vector that contains the comments readed from a xml-file, and converts it for the view specific representation

  Parameters:
    `v` - The vector from the xml-file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD